Due to a recent update on Javascript code a full page refresh on your browser might be needed.
Bug 1018498 - Review Request: wondershaper(NG) - Simple network shaper
Summary: Review Request: wondershaper(NG) - Simple network shaper
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 458379 (view as bug list)
Depends On:
Blocks: tuxcut
TreeView+ depends on / blocked
 
Reported: 2013-10-12 16:30 UTC by Mosaab Alzoubi
Modified: 2019-10-16 11:52 UTC (History)
8 users (show)

Fixed In Version: wondershaper-1.2.1-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-27 21:21:50 UTC
Type: ---
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mosaab Alzoubi 2013-10-12 16:30:00 UTC
Spec URL: http://ojuba.org/oji/SPECS/wondershaper.spec
SRPM URL: http://ojuba.org/oji/SRPMS/wondershaper-1.2-1.oji.fc19.src.rpm
Description: Many cablemodem and ADSL users experience horrifying latency
while uploading or downloading. They also notice that uploading
hampers downloading greatly. The wondershaper neatly addresses
these issues, allowing users of a router with a wondershaper to
continue using SSH over a loaded link happily.

Fedora Account System Username: moceap

Comment 1 Christopher Meng 2013-10-12 18:00:58 UTC
*** Bug 458379 has been marked as a duplicate of this bug. ***

Comment 2 Johan Swensson 2013-10-16 20:00:52 UTC
I'm not a current package maintainer but here's an informal review:

$ rpmlint wondershaper1.2-1.fc19.noarch.rpm 
wondershaper.noarch: W: spelling-error Summary(en_US) shaper -> shape, sharper, shapes
wondershaper.noarch: W: spelling-error %description -l en_US cablemodem -> cable modem, cable-modem, demonstrable
wondershaper.noarch: E: incorrect-fsf-address /usr/share/doc/wondershaper-1.2/COPYING
wondershaper.noarch: W: no-manual-page-for-binary wondershaper
1 packages and 0 specfiles checked; 1 errors, 3 warnings.

$ rpmlint wondershaper.spec 
wondershaper.spec: W: no-%build-section
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

Also:
%defattr(-,root,root,-) 

isn't needed

Comment 3 Mosaab Alzoubi 2013-10-18 04:23:11 UTC
I used "%defattr(-,root,root,-)" due to single sbin application.

- To zero warnings by rpmlint.

Spec URL: http://ojuba.org/oji/SPECS/wondershaper.spec
SRPM URL: http://ojuba.org/oji/SRPMS/wondershaper-1.2-2.oji.fc19.src.rpm

Comment 4 Michael Schwendt 2013-10-18 08:24:34 UTC
%defattr(-,root,root,-) is not needed anymore at all by any of the active dist releases, because they all include RPM >= 4.4.
https://fedoraproject.org/wiki/Packaging:Guidelines#File_Permissions

Comment 5 Mosaab Alzoubi 2013-10-18 12:27:14 UTC
Ok , thank you Michael. It's done:

Spec URL: http://ojuba.org/oji/SPECS/wondershaper.spec
SRPM URL: http://ojuba.org/oji/SRPMS/wondershaper-1.2-3.oji.fc19.src.rpm

Comment 6 Christopher Meng 2013-11-19 07:49:44 UTC
1. URL should be:

http://sourceforge.net/projects/wondershaper/

2. Because nothing need to be built during %build, please add a note about this:

%build
# Nothing to build.

3. install -Dm 755 wshaper %{buildroot}/%{_sbindir}/%{name}

-->

install -pDm755 wshaper %{buildroot}%{_sbindir}/%{name}

4. %files
%doc ChangeLog COPYING README VERSION

I don't think you need to ship VERSION file...

Others are fine.


-------------------

Suggestion:

In function show_help of this shell script, please consider this change:

function show_help {
  echo "Wonder Shaper 1.2"
  echo
  echo "Usage: $0 [device] clean|[upload speed in Kb/s] [download speed in Kb/s]"
  echo "Example: $0 eth0 20 500"
  echo
  echo "Report bugs at http://bugzilla.redhat.com/."
  exit
}

to 

function show_help {
  echo "Wonder Shaper 1.2"
  echo
  echo "Usage: $0 [device] clean|[upload speed in Kb/s] [download speed in Kb/s]"
  echo "Example: $0 eth0 20 500"
  echo
  echo "Report bugs at https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&version=rawhide&component=wondershaper."
  exit
}

Comment 7 Mosaab Alzoubi 2013-11-19 12:05:54 UTC
Thanks alot Christopher, Your suggestion in 1.2.1 now.

-----------

- Update to 1.2.1 .
- Replace URL with main program page.
- General tweaks.
- Remove VERSION file from %%doc.

Spec URL: http://ojuba.org/oji/SPECS/wondershaper.spec
SRPM URL: http://ojuba.org/oji/SRPMS/wondershaper-1.2.1-1.oji.fc19.src.rpm

Comment 8 Christopher Meng 2013-11-19 12:07:23 UTC
PACKAGE APPROVED.

Comment 9 Mosaab Alzoubi 2013-11-19 12:35:51 UTC
Thank You Christopher.

New Package SCM Request
=======================
Package Name: wondershaper
Short Description: Simple network shaper
Owners: moceap
Branches: f18 f19 f20 el5 el6
InitialCC:

Comment 10 Gwyn Ciesla 2013-11-19 13:03:36 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2013-11-20 13:38:54 UTC
wondershaper-1.2.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/wondershaper-1.2.1-2.el6

Comment 12 Fedora Update System 2013-11-20 13:43:29 UTC
wondershaper-1.2.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/wondershaper-1.2.1-2.fc18

Comment 13 Fedora Update System 2013-11-20 13:43:44 UTC
wondershaper-1.2.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/wondershaper-1.2.1-2.fc19

Comment 14 Fedora Update System 2013-11-20 13:43:55 UTC
wondershaper-1.2.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/wondershaper-1.2.1-2.fc20

Comment 15 Fedora Update System 2013-11-20 17:24:58 UTC
wondershaper-1.2.1-2.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 16 Fedora Update System 2013-11-27 21:21:50 UTC
wondershaper-1.2.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 17 Fedora Update System 2013-11-29 06:56:39 UTC
wondershaper-1.2.1-2.fc18 has been pushed to the Fedora 18 stable repository.

Comment 18 Fedora Update System 2013-11-29 06:58:45 UTC
wondershaper-1.2.1-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 19 Fedora Update System 2013-12-14 03:00:29 UTC
wondershaper-1.2.1-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 20 Mosaab Alzoubi 2014-09-16 23:35:29 UTC
Package Change Request
======================
Package Name: wondershaper
New Branches: epel7
Owners: moceap

Comment 21 Gwyn Ciesla 2014-10-20 11:49:14 UTC
Git done (by process-git-requests).

Comment 22 Dmytro Shyshchenko 2019-10-16 11:52:49 UTC
The included version 1.2.1 of wondershaper is really a problematic one, but the tool itself is quite useful and easy to operate.
Could its version be updated to the latest 1.4?


Note You need to log in before you can comment on or make changes to this bug.